Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.xl.impl.base
Class GraphQueue.Processor

    java.lang.Object
      java.io.InputStream
          de.grogra.util.HierarchicalQueue.Reader
              de.grogra.xl.impl.base.GraphQueue.Processor

All Implemented Interfaces:
  java.io.Closeable, java.io.DataInput, java.io.ObjectInput

Enclosing class:
  GraphQueue

    protected class GraphQueue.Processor

extends HierarchicalQueue.Reader

Field Summary
`protected boolean` | `checkApplicability`
`protected boolean` | `clearSegment`
`protected boolean` | `execute`
`protected boolean` | `markApplicability`

Fields inherited from class de.grogra.util.HierarchicalQueue.Reader
`in`

Constructor Summary
`protected` | `GraphQueue.Processor(TypeLoader loader)`

Method Summary
`protected boolean` | `process(int item)`
`boolean` | `process(int[] segs)`

Methods inherited from class de.grogra.util.HierarchicalQueue.Reader
`available, close, enter, isAt, leave, moveTo, moveToCurrent, next, peekByte, peekDouble, peekFloat, peekInt, peekLong, peekObject, popCursor, previous, pushCursor, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readItem, readLine, readLong, readObject, readObjectInQueue, readObjectInStream, readShort, readSkipBlock, readUnsignedByte, readUnsignedShort, readUTF, resetCursor, skip, skipBlock, skipBoolean, skipByte, skipBytes, skipChar, skipDouble, skipFloat, skipInt, skipLong, skipObjectInQueue, skipShort, skipUTF`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### checkApplicability

    protected boolean checkApplicability

### clearSegment

    protected boolean clearSegment

### execute

    protected boolean execute

### markApplicability

    protected boolean markApplicability

Constructor Detail

### GraphQueue.Processor

    protected GraphQueue.Processor(TypeLoader loader)

Method Detail

### process

    protected boolean process(int item)
                       throws java.io.IOException,
                              RuntimeModelException

  Throws:
    `java.io.IOException`
    `RuntimeModelException`

### process

    public boolean process(int[] segs)
                    throws java.io.IOException,
                           RuntimeModelException

  Throws:
    `java.io.IOException`
    `RuntimeModelException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD